Setting Up Display and Touchscreen Libraries

To use the CYD’s display and touchscreen with MicroPython, you need specific libraries:

# ILI9341 Display Driver

Download ili9341.py from: github.com/rdagger/micropython-ili9341.
Save it to the CYD using Thonny (View > Files > Upload to /).

# XPT2046 Touchscreen Driver

Download xpt2046.py from: github.com/rdagger/micropython-ili9341.
Upload it to the CYD.

# Font Library

For custom fonts, download xglcd_font.py and font files (e.g., Unispace12x24.c) from: github.com/rdagger/micropython-ili9341.

Create a /fonts directory on the CYD and upload the font files.

# CYD-Specific Library (Optional)

For simplified control, use the cydr.py library from: github.com/jtobinart/MicroPython_CYD_ESP32-2432S028R.

# Run it

mpremote cp cydr.py :cydr.py
mpremote cp ili9341.py :ili9341.py
mpremote cp xglcd_font.py :xglcd_font.py
mpremote cp xpt2046.py :xpt2046.py
mpremote mkdir fonts
mpremote cp Unispace12x24.c :fonts/Unispace12x24.c
mpremote cp main.py :main.py
mpremote exec "import main"


