from machine import Pin, SPI
from ili9341 import Display, color565
from xglcd_font import XglcdFont
import time

# Initialize SPI for ILI9341 display
display_spi = SPI(1, baudrate=60000000, sck=Pin(14), mosi=Pin(13))
display = Display(display_spi, dc=Pin(2), cs=Pin(15), rst=Pin(15), width=320, height=240, rotation=90)

# Turn on backlight
backlight = Pin(21, Pin.OUT)
backlight.on()

# Clear display (white background)
display.clear(color565(255, 255, 255))

# Load Unispace font
unispace = XglcdFont('fonts/Unispace12x24.c', 12, 24)

# Draw text (black text)
display.draw_text(10, 10, 'Hello, CYD!', unispace, color565(255, 0, 0))

# Wait to view the result
time.sleep(5)

# Clear display again (optional)
display.clear(color565(255, 255, 255))
